﻿using Org.BouncyCastle.Crypto.Paddings;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Common.Library.DTO.Websites.DMCDynamics.LLC
{
    public class TestimonialImagesDTO
    {
        public int TestimonialImageID { get; set; }
        public int TestimonialID { get; set; }
        public string ImageType { get; set; }
        public byte[] ImageData { get; set; }

        public string ImageDataForWeb => string.Format("data:{0};base64,{1}", ImageType, Convert.ToBase64String(ImageData));

    }

    public class TestimonialImagesDTOCollection : List<TestimonialImagesDTO> { }
}
